<div *ngIf="display === 'stnk'">
    <div class="ui-g" *ngIf="isViewMode">
        <div class="ui-g-12">
            <jhi-sales-unit-requirement-stnk-view
                [salesUnitRequirement]="salesUnitRequirement"
            ></jhi-sales-unit-requirement-stnk-view>
        </div>
        <!-- <div class="ui-g-12">
            <button class="btn btn-primary btn-lg btn-block" (click)="viewEdit()">
                <i class="fa fa-pencil"></i> Edit
            </button>
        </div> -->
    </div>
    <div class="ui-g" *ngIf="!isViewMode" style="margin-top:20px;">
        <div class="ui-g-12">
            <jhi-person-view
                [person]="salesUnitRequirement.personOwner"
            ></jhi-person-view>
        </div>
        <div class="ui-g-12">
            <button class="btn btn-primary btn-lg btn-block" (click)="vsoEditUpdatePerson(salesUnitRequirement.personOwner);">
                <i class="fa fa-pencil"></i> Save
            </button>
        </div>
    </div>
</div>

<div *ngIf="display === 'customer'">
    <div class="ui-g" *ngIf="isViewMode">
        <div class="ui-g-12">
            <jhi-sales-unit-requirement-customer-view
                [salesUnitRequirement]="salesUnitRequirement"
            ></jhi-sales-unit-requirement-customer-view>
        </div>
        <!-- <div class="ui-g-12">
            <button class="btn btn-primary btn-lg btn-block" (click)="viewEdit()">
                <i class="fa fa-pencil"></i> Edit
            </button>
        </div> -->
    </div>
    <div class="ui-g" *ngIf="!isViewMode" style="margin-top:20px;">
        <div class="ui-g-12">
            <jhi-person-view
                [person]="customer"
            ></jhi-person-view>
        </div>
        <div class="ui-g-12">
            <button class="btn btn-primary btn-lg btn-block" (click)="vsoEditUpdatePerson(customer);">
                <i class="fa fa-pencil"></i> Save
            </button>
        </div>
    </div>
</div>